:host ::ng-deep {
	markdown {
		img {
			background-color: #e4e4e4;
		}

		table {
			margin-bottom: var(--spacing-scale-2x);
		}
	}

	avaliacao {
		color: #000000;
	}

	:not(pre) > code[class*="language-"],
	pre[class*="language-"] {
		max-height: 400px;

		&.expanded {
			max-height: 100%;
		}
	}

	.code-tabs markdown img {
		background-color: transparent;
	}

	.code-toolbar {
		margin-bottom: var(--spacing-scale-2x);
		padding-top: 35px;
		display: flex;
		flex-direction: column-reverse;
		align-items: end;

		pre[class*="language-"] {
			margin: 0;
			overflow-x: hidden;
			overflow-y: auto;
			padding: 0.5em;
			width: 100%;

			code[class*="language-"] {
				white-space: pre-wrap;
				word-wrap: break-word;
			}
		}

		.toolbar {
			.toolbar-item {
				display: inline-block;
			}
		}

		.language {
			&-html,
			&-bash,
			&-text {
				align-self: flex-start;
				width: 100%;
			}
		}
	}

	@media (max-width: 575px) {
		.code-toolbar pre[class*="language-"] {
			padding-top: 25px;
		}

		table {			
			overflow-wrap: break-word;
			table-layout: fixed;			
			width: 100%;
		}
	}
}
